/*

* Copyright 2007 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022BV00_00.java

*

* Created on 04/12/07 04:07:53

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ022BV00 extends Q02bTablaBD implements Q02bITablaBDQ022BV00 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q022BT00_ID_GRUPO */

    public final static int COLUMN_Q022BT00_ID_GRUPO = 1;

    /** Constante para la propiedad Q022BT00_ID_GRUPO */

    public final static String NOMCOLUMN_Q022BT00_ID_GRUPO = "Q022BT00_ID_GRUPO";

    /** Constante para la propiedad Q022BT00_ID_GRUPO */

    public final static int TAM_MAXIMO_Q022BT00_ID_GRUPO = 8;

    /** Constante para la propiedad Q022BT00_ANO */

    public final static int COLUMN_Q022BT00_ANO = 2;

    /** Constante para la propiedad Q022BT00_ANO */

    public final static String NOMCOLUMN_Q022BT00_ANO = "Q022BT00_ANO";

    /** Constante para la propiedad Q022BT00_ANO */

    public final static int TAM_MAXIMO_Q022BT00_ANO = 4;

    /** Constante para la propiedad Q022BT00_MES */

    public final static int COLUMN_Q022BT00_MES = 3;

    /** Constante para la propiedad Q022BT00_MES */

    public final static String NOMCOLUMN_Q022BT00_MES = "Q022BT00_MES";

    /** Constante para la propiedad Q022BT00_MES */

    public final static int TAM_MAXIMO_Q022BT00_MES = 2;

    /** Constante para la propiedad Q022BT00_CONCEDIDO_LICEN */

    public final static int COLUMN_Q022BT00_CONCEDIDO_LICEN = 4;

    /** Constante para la propiedad Q022BT00_CONCEDIDO_LICEN */

    public final static String NOMCOLUMN_Q022BT00_CONCEDIDO_LICEN = "Q022BT00_CONCEDIDO_LICEN";

    /** Constante para la propiedad Q022BT00_CONCEDIDO_LICEN */

    public final static int TAM_MAXIMO_Q022BT00_CONCEDIDO_LICEN = 1;

    /** Constante para la propiedad FCA02T00_CODPROVINC */

    public final static int COLUMN_FCA02T00_CODPROVINC = 5;

    /** Constante para la propiedad FCA02T00_CODPROVINC */

    public final static String NOMCOLUMN_FCA02T00_CODPROVINC = "FCA02T00_CODPROVINC";

    /** Constante para la propiedad FCA02T00_CODPROVINC */

    public final static int TAM_MAXIMO_FCA02T00_CODPROVINC = 2;

    /** Constante para la propiedad FCA02T00_CODMUNICIP */

    public final static int COLUMN_FCA02T00_CODMUNICIP = 6;

    /** Constante para la propiedad FCA02T00_CODMUNICIP */

    public final static String NOMCOLUMN_FCA02T00_CODMUNICIP = "FCA02T00_CODMUNICIP";

    /** Constante para la propiedad FCA02T00_CODMUNICIP */

    public final static int TAM_MAXIMO_FCA02T00_CODMUNICIP = 4;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 6;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q022BT00_ID_GRUPO_WHERE */

    protected Integer Q022BT00_ID_GRUPO_WHERE = null;

    protected boolean Q022BT00_ID_GRUPO_MODIF = false;

    /** Holds value of property Q022BT00_ANO_WHERE */

    protected Integer Q022BT00_ANO_WHERE = null;

    protected boolean Q022BT00_ANO_MODIF = false;

    /** Holds value of property Q022BT00_MES_WHERE */

    protected Integer Q022BT00_MES_WHERE = null;

    protected boolean Q022BT00_MES_MODIF = false;

    /** Holds value of property Q022BT00_CONCEDIDO_LICEN_WHERE */

    protected Integer Q022BT00_CONCEDIDO_LICEN_WHERE = null;

    protected boolean Q022BT00_CONCEDIDO_LICEN_MODIF = false;

    /** Holds value of property FCA02T00_CODPROVINC_WHERE */

    protected Integer FCA02T00_CODPROVINC_WHERE = null;

    protected boolean FCA02T00_CODPROVINC_MODIF = false;

    /** Holds value of property FCA02T00_CODMUNICIP_WHERE */

    protected Integer FCA02T00_CODMUNICIP_WHERE = null;

    protected boolean FCA02T00_CODMUNICIP_MODIF = false;

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "04/12/07 04:07:53";

    protected String columnas[] =  {"Q022BT00_ID_GRUPO", "Q022BT00_ANO", "Q022BT00_MES", "Q022BT00_CONCEDIDO_LICEN", "FCA02T00_CODPROVINC", "FCA02T00_CODMUNICIP"};

    protected int tipos[] =  {3, 3, 3, 3, 3, 3};

    protected int longitudes[] =  {8, 4, 2, 1, 2, 4};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q022BT00_ID_GRUPO", "Q022BT00_ANO", "Q022BT00_MES", "Q022BT00_CONCEDIDO_LICEN", "FCA02T00_CODPROVINC", "FCA02T00_CODMUNICIP"};

    protected boolean nullables[] =  {false,false,false,false,false,false};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q022BV00";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ022BV00 iTablaBDQ022BV00 = null;

    /** Creates new Q022BV00_00 */

    public Q02bTablaBDQ022BV00() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q022BV00 */

    public Q02bTablaBDQ022BV00(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ022BV00.setQ022BT00_ID_GRUPO_WHERE(null);

        iTablaBDQ022BV00.setQ022BT00_ID_GRUPO_MODIF(false);

        iTablaBDQ022BV00.setQ022BT00_ANO_WHERE(null);

        iTablaBDQ022BV00.setQ022BT00_ANO_MODIF(false);

        iTablaBDQ022BV00.setQ022BT00_MES_WHERE(null);

        iTablaBDQ022BV00.setQ022BT00_MES_MODIF(false);

        iTablaBDQ022BV00.setQ022BT00_CONCEDIDO_LICEN_WHERE(null);

        iTablaBDQ022BV00.setQ022BT00_CONCEDIDO_LICEN_MODIF(false);

        iTablaBDQ022BV00.setFCA02T00_CODPROVINC_WHERE(null);

        iTablaBDQ022BV00.setFCA02T00_CODPROVINC_MODIF(false);

        iTablaBDQ022BV00.setFCA02T00_CODMUNICIP_WHERE(null);

        iTablaBDQ022BV00.setFCA02T00_CODMUNICIP_MODIF(false);

        iTablaBDQ022BV00.setNumMaxRegistros(0);

        iTablaBDQ022BV00.setNumInicio(0);

        iTablaBDQ022BV00.setNumFinal(0);

        iTablaBDQ022BV00.setOrderBy(null);

        iTablaBDQ022BV00.setAditionalWhere(null);

        iTablaBDQ022BV00.setInitialWhere(null);

        iTablaBDQ022BV00.setFixedWhere(null);

        iTablaBDQ022BV00.setDistinct(null);

        iTablaBDQ022BV00.setMax(null);

        columnasSelect = null;

        tableFrom = "Q022BV00";

        iTablaBDQ022BV00.setUncommittedRead(false);

        iTablaBDQ022BV00.setForUpdate(false);

        iTablaBDQ022BV00.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ022BV00.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ022BV00.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ022BV00.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ022BV00.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ022BV00.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ022BV00.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ022BV00.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ022BV00.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ022BV00.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ022BV00.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ022BV00.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ022BV00.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ022BV00.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ022BV00.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ022BV00.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ022BV00.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ022BV00.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ022BV00.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ022BV00.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ022BV00.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ022BV00.selectMax();

    }













    public void setQ022BT00_ID_GRUPO_WHERE(int valor) {

        if (iTablaBDQ022BV00==null){

        this.Q022BT00_ID_GRUPO_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022BV00.setQ022BT00_ID_GRUPO_WHERE(valor);

        }

    }



    public void setQ022BT00_ID_GRUPO_WHERE(Integer valor) {

        if (iTablaBDQ022BV00==null){

        this.Q022BT00_ID_GRUPO_WHERE=valor;

        }else{

           iTablaBDQ022BV00.setQ022BT00_ID_GRUPO_WHERE(valor);

        }

    }



    public void setQ022BT00_ID_GRUPO_MODIF(boolean valor) {

        if (iTablaBDQ022BV00==null){

        this.Q022BT00_ID_GRUPO_MODIF=valor;

        }else{

           iTablaBDQ022BV00.setQ022BT00_ID_GRUPO_MODIF(valor);

        }

    }



    public void setQ022BT00_ANO_WHERE(int valor) {

        if (iTablaBDQ022BV00==null){

        this.Q022BT00_ANO_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022BV00.setQ022BT00_ANO_WHERE(valor);

        }

    }



    public void setQ022BT00_ANO_WHERE(Integer valor) {

        if (iTablaBDQ022BV00==null){

        this.Q022BT00_ANO_WHERE=valor;

        }else{

           iTablaBDQ022BV00.setQ022BT00_ANO_WHERE(valor);

        }

    }



    public void setQ022BT00_ANO_MODIF(boolean valor) {

        if (iTablaBDQ022BV00==null){

        this.Q022BT00_ANO_MODIF=valor;

        }else{

           iTablaBDQ022BV00.setQ022BT00_ANO_MODIF(valor);

        }

    }



    public void setQ022BT00_MES_WHERE(int valor) {

        if (iTablaBDQ022BV00==null){

        this.Q022BT00_MES_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022BV00.setQ022BT00_MES_WHERE(valor);

        }

    }



    public void setQ022BT00_MES_WHERE(Integer valor) {

        if (iTablaBDQ022BV00==null){

        this.Q022BT00_MES_WHERE=valor;

        }else{

           iTablaBDQ022BV00.setQ022BT00_MES_WHERE(valor);

        }

    }



    public void setQ022BT00_MES_MODIF(boolean valor) {

        if (iTablaBDQ022BV00==null){

        this.Q022BT00_MES_MODIF=valor;

        }else{

           iTablaBDQ022BV00.setQ022BT00_MES_MODIF(valor);

        }

    }



    public void setQ022BT00_CONCEDIDO_LICEN_WHERE(int valor) {

        if (iTablaBDQ022BV00==null){

        this.Q022BT00_CONCEDIDO_LICEN_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022BV00.setQ022BT00_CONCEDIDO_LICEN_WHERE(valor);

        }

    }



    public void setQ022BT00_CONCEDIDO_LICEN_WHERE(Integer valor) {

        if (iTablaBDQ022BV00==null){

        this.Q022BT00_CONCEDIDO_LICEN_WHERE=valor;

        }else{

           iTablaBDQ022BV00.setQ022BT00_CONCEDIDO_LICEN_WHERE(valor);

        }

    }



    public void setQ022BT00_CONCEDIDO_LICEN_MODIF(boolean valor) {

        if (iTablaBDQ022BV00==null){

        this.Q022BT00_CONCEDIDO_LICEN_MODIF=valor;

        }else{

           iTablaBDQ022BV00.setQ022BT00_CONCEDIDO_LICEN_MODIF(valor);

        }

    }



    public void setFCA02T00_CODPROVINC_WHERE(int valor) {

        if (iTablaBDQ022BV00==null){

        this.FCA02T00_CODPROVINC_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022BV00.setFCA02T00_CODPROVINC_WHERE(valor);

        }

    }



    public void setFCA02T00_CODPROVINC_WHERE(Integer valor) {

        if (iTablaBDQ022BV00==null){

        this.FCA02T00_CODPROVINC_WHERE=valor;

        }else{

           iTablaBDQ022BV00.setFCA02T00_CODPROVINC_WHERE(valor);

        }

    }



    public void setFCA02T00_CODPROVINC_MODIF(boolean valor) {

        if (iTablaBDQ022BV00==null){

        this.FCA02T00_CODPROVINC_MODIF=valor;

        }else{

           iTablaBDQ022BV00.setFCA02T00_CODPROVINC_MODIF(valor);

        }

    }



    public void setFCA02T00_CODMUNICIP_WHERE(int valor) {

        if (iTablaBDQ022BV00==null){

        this.FCA02T00_CODMUNICIP_WHERE=new Integer(valor);

        }else{

           iTablaBDQ022BV00.setFCA02T00_CODMUNICIP_WHERE(valor);

        }

    }



    public void setFCA02T00_CODMUNICIP_WHERE(Integer valor) {

        if (iTablaBDQ022BV00==null){

        this.FCA02T00_CODMUNICIP_WHERE=valor;

        }else{

           iTablaBDQ022BV00.setFCA02T00_CODMUNICIP_WHERE(valor);

        }

    }



    public void setFCA02T00_CODMUNICIP_MODIF(boolean valor) {

        if (iTablaBDQ022BV00==null){

        this.FCA02T00_CODMUNICIP_MODIF=valor;

        }else{

           iTablaBDQ022BV00.setFCA02T00_CODMUNICIP_MODIF(valor);

        }

    }



    /** Getter for property Q022BT00_ID_GRUPO_WHERE.

    * @return Value of property Q022BT00_ID_GRUPO_WHERE.

    */

    public Integer getQ022BT00_ID_GRUPO_WHERE() {

        if (iTablaBDQ022BV00==null){

            return this.Q022BT00_ID_GRUPO_WHERE;

        }else{

           return iTablaBDQ022BV00.getQ022BT00_ID_GRUPO_WHERE();

        }

    }



    /** Getter for property Q022BT00_ANO_WHERE.

    * @return Value of property Q022BT00_ANO_WHERE.

    */

    public Integer getQ022BT00_ANO_WHERE() {

        if (iTablaBDQ022BV00==null){

            return this.Q022BT00_ANO_WHERE;

        }else{

           return iTablaBDQ022BV00.getQ022BT00_ANO_WHERE();

        }

    }



    /** Getter for property Q022BT00_MES_WHERE.

    * @return Value of property Q022BT00_MES_WHERE.

    */

    public Integer getQ022BT00_MES_WHERE() {

        if (iTablaBDQ022BV00==null){

            return this.Q022BT00_MES_WHERE;

        }else{

           return iTablaBDQ022BV00.getQ022BT00_MES_WHERE();

        }

    }



    /** Getter for property Q022BT00_CONCEDIDO_LICEN_WHERE.

    * @return Value of property Q022BT00_CONCEDIDO_LICEN_WHERE.

    */

    public Integer getQ022BT00_CONCEDIDO_LICEN_WHERE() {

        if (iTablaBDQ022BV00==null){

            return this.Q022BT00_CONCEDIDO_LICEN_WHERE;

        }else{

           return iTablaBDQ022BV00.getQ022BT00_CONCEDIDO_LICEN_WHERE();

        }

    }



    /** Getter for property FCA02T00_CODPROVINC_WHERE.

    * @return Value of property FCA02T00_CODPROVINC_WHERE.

    */

    public Integer getFCA02T00_CODPROVINC_WHERE() {

        if (iTablaBDQ022BV00==null){

            return this.FCA02T00_CODPROVINC_WHERE;

        }else{

           return iTablaBDQ022BV00.getFCA02T00_CODPROVINC_WHERE();

        }

    }



    /** Getter for property FCA02T00_CODMUNICIP_WHERE.

    * @return Value of property FCA02T00_CODMUNICIP_WHERE.

    */

    public Integer getFCA02T00_CODMUNICIP_WHERE() {

        if (iTablaBDQ022BV00==null){

            return this.FCA02T00_CODMUNICIP_WHERE;

        }else{

           return iTablaBDQ022BV00.getFCA02T00_CODMUNICIP_WHERE();

        }

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ022BV00==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ022BV00.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ022BV00==null){

           return sFechaClase;

        }else{

           return iTablaBDQ022BV00.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ022BV00==null){

           return this.idConexion;

        }else{

           return iTablaBDQ022BV00.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ022BV00==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ022BV00.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ022BV00==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ022BV00.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ022BV00==null){

           return this.numInicio;

        }else{

           return iTablaBDQ022BV00.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ022BV00==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ022BV00.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ022BV00==null){

           return this.numFinal;

        }else{

           return iTablaBDQ022BV00.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ022BV00==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ022BV00.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ022BV00==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ022BV00.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ022BV00==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ022BV00.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ022BV00==null){

           return this.limitRows;

        }else{

           return iTablaBDQ022BV00.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ022BV00==null){

           return this.connection;

        }else{

           return iTablaBDQ022BV00.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ022BV00==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ022BV00.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ022BV00==null){

           return this.orderBy;

        }else{

           return iTablaBDQ022BV00.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ022BV00==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ022BV00.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ022BV00==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ022BV00.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ022BV00==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ022BV00.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ022BV00==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ022BV00.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ022BV00==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ022BV00.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ022BV00==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ022BV00.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ022BV00==null){

           this.distinct = valor;

        }else{

           iTablaBDQ022BV00.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ022BV00==null){

           return this.distinct;

        }else{

           return iTablaBDQ022BV00.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ022BV00==null){

           this.max = valor;

        }else{

           iTablaBDQ022BV00.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ022BV00==null){

           return this.max;

        }else{

           return iTablaBDQ022BV00.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ022BV00==null){

           super.freeResources();

        }else{

           iTablaBDQ022BV00.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ022BV00==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ022BV00.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

